sayren Docs
상품

상품 판매 상태 일괄 변경

POST
/v1/products/bulk/status
AuthorizationBearer <token>

userToken(계정 스코프) 또는 storeToken(스토어 스코프)

In: header

Header Parameters

idempotency-key?string

멱등키. 같은 키로 다시 보내면 처음 결과를 돌려주고 한 번만 적용한다. 재시도에는 같은 키를 쓴다

Lengthlength <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

productIds*array<string>
Items1 <= items <= 100
status*string

Value in

  • "SALE"
  • "SUSPENDED"
  • "OUT_OF_STOCK"
  • "CLOSED"

Response Body

application/json

curl -X POST "https://example.com/v1/products/bulk/status" \  -H "Content-Type: application/json" \  -d '{    "productIds": [      "string"    ],    "status": "SALE"  }'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "succeeded": [      "string"    ],    "failed": [      {        "id": "string",        "productId": "string",        "orderItemId": "string",        "code": "string",        "message": "string"      }    ]  },  "error": null}